<?php

namespace Database\Seeders;

use App\Models\Division;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DivisionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $division = array(
            array(
                "code" => "1",
                "name" => "MIS",
            ),
            array(
                "code" => "2",
                "name" => "SALES AND SERVICE",
            ),
            array(
                "code" => "3",
                "name" => "MARKETING",
            ),
            array(
                "code" => "4",
                "name" => "ADMIN SERVICES DIVISION",
            ),
            array(
                "code" => "5",
                "name" => "LEGAL SERVICES",
            ),
            array(
                "code" => "6",
                "name" => "TRAINING & OD",
            ),
            array(
                "code" => "7",
                "name" => "SALES",
            ),
            array(
                "code" => "8",
                "name" => "AFTERSALES",
            ),
            array(
                "code" => "9",
                "name" => "AUDIT",
            ),
            array(
                "code" => "10",
                "name" => "CUSTOMER RELATIONSHIP MANAGEMENT",
            ),
            array(
                "code" => "ABS",
                "name" => "ABS-CBN",
            ),
            array(
                "code" => "AIT",
                "name" => "AUTOHUB INSTITUTE OF TECHNOLOGY",
            ),
            array(
                "code" => "CONSU",
                "name" => "CONSULTANCY",
            ),
            array(
                "code" => "CORPL",
                "name" => "CORPLAN",
            ),
            array(
                "code" => "CRD",
                "name" => "CUSTOMER RELATIONS",
            ),
            array(
                "code" => "CSD",
                "name" => "CREATIVE SERVICES DIVISION",
            ),
            array(
                "code" => "DCRC",
                "name" => "DCRC",
            ),
            array(
                "code" => "DEADE",
                "name" => "DEALER DEVELOPMENT",
            ),
            array(
                "code" => "GOH",
                "name" => "GENERAL OVERHEAD",
            ),
            array(
                "code" => "GUEST",
                "name" => "GUEST EXPERIENCE",
            ),
            array(
                "code" => "HO",
                "name" => "Head Office",
            ),
            array(
                "code" => "HOOPS",
                "name" => "HOTEL OPERATIONS",
            ),
            array(
                "code" => "HR",
                "name" => "HUMAN RESOURCE SERVICES",
            ),
            array(
                "code" => "HRLAG",
                "name" => "HRD, TRAINING OD AND LEGAL",
            ),
            array(
                "code" => "ITBPD",
                "name" => "IT & BUSINESS PROCESS DIVISION",
            ),
            array(
                "code" => "ITD",
                "name" => "INFORMATION TECHNOLOGY DIVISION",
            ),
            array(
                "code" => "MT",
                "name" => "MANAGEMENT TRAINEE",
            ),
            array(
                "code" => "OGM",
                "name" => "E0 - OFFICE OF THE GENERAL MANAGER",
            ),
            array(
                "code" => "OP",
                "name" => "EO- OFFICE OF THE PRESIDENT",
            ),
            array(
                "code" => "OVPAD",
                "name" => "EO-OFFICE OF THE VP FOR ADMINISTRATION",
            ),
            array(
                "code" => "OVPCO",
                "name" => "EO-OFFICE OF THE VP FOR COMPTROLLERSHIP",
            ),
            array(
                "code" => "POD",
                "name" => "PEOPLE & OD",
            ),
            array(
                "code" => "PRO",
                "name" => "PROCUREMENT",
            ),
            array(
                "code" => "SPECI",
                "name" => "SPECIAL PROJECT",
            ),
            array(
                "code" => "TREA",
                "name" => "TREASURY",
            ),
        );

        Division::insert($division);
        
    }

    public function reset()
    {
        Division::truncate();
    }
}
